---
title: DataView.prototype.getBigInt64()
slug: Web/JavaScript/Reference/Global_Objects/DataView/getBigInt64
tags:
  - BigInt
  - DataView
  - JavaScript
  - Method
  - Prototype
  - Reference
  - TypedArrays
  - getBigInt64()
---
<div>{{JSRef}}</div>

<p>The <strong><code>getBigInt64()</code></strong> method gets a signed 64-bit integer (long long) at the specified byte offset from the start of the {{jsxref("DataView")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/dataview-getbigint64.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>dataview</var>.getBigInt64(byteOffset [, littleEndian])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>byteOffset</dt>
 <dd>The offset, in bytes, from the start of the view to read the data from.</dd>
 <dt>littleEndian</dt>
 <dd>{{optional_inline}} Indicates whether the 64-bit int is stored in <a href="/en-US/docs/Glossary/Endianness">little- or big-endian</a> format. If <code>false</code> or <code>undefined</code>, a big-endian value is read.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("BigInt")}}.</p>

<h3 id="Errors_thrown">Errors thrown</h3>

<dl>
 <dt>{{jsxref("RangeError")}}</dt>
 <dd>Thrown if the <code>byteOffset</code> is set such that it would read beyond the end of the view.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>There is no alignment constraint; multi-byte values may be fetched from any offset.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_getBigInt64_method">Using the <code>getBigInt64</code> method</h3>

<pre class="brush:js">var buffer = new ArrayBuffer(8);
var dataview = new DataView(buffer);
dataview.getBigInt64(0); // 0n
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-dataview.prototype.getbigint64', 'DataView.prototype.getBigInt64()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.DataView.getBigInt64")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("DataView")}}</li>
 <li>{{jsxref("ArrayBuffer")}}</li>
 <li>{{jsxref("BigInt")}}</li>
</ul>
